tagged-0.8.5: Haskell 98 phantom types to avoid unsafely passing dummy arguments

Safe Haskell | None
Language | Haskell98

Data.Proxy.TH

Synopsis

- pr :: QuasiQuoter
- pr1 :: QuasiQuoter

# Documentation

pr :: QuasiQuoter #

A proxy value quasiquoter. `[pr|T|]` will splice an expression `Proxy::Proxy T`, while `[pr|A,B,C|]` will splice in a value of `Proxy :: Proxy [A,B,C]`.

pr1 :: QuasiQuoter #

Like `pr`, but takes a single type, which is used to produce a `Proxy` for a single-element list containing only that type. This is useful for passing a single type to a function that wants a list of types.